package fglrx 2:8.723.1-0ubuntu4 failed to install/upgrade: fglrx kernel module failed to build

Bug #642221 reported by Kjetil Eide on 2010-09-18
4
This bug affects 1 person
Affects Status Importance Assigned to Milestone
fglrx-installer (Ubuntu)
Undecided
Unassigned

Bug Description

After the automatic upgrade to kernel version 2.6.32-24 I'm not able to build the fglrx module.

/var/lib/dkms/fglrx/8.723.1/build/2.6.x/kcl_ioctl.c:196: error: implicit declaration of function 'compat_alloc_user_space'

ProblemType: Package
DistroRelease: Ubuntu 10.04
Package: fglrx 2:8.723.1-0ubuntu4
ProcVersionSignature: Ubuntu 2.6.32-21.32-generic 2.6.32.11+drm33.2
Uname: Linux 2.6.32-21-generic x86_64
Architecture: amd64
Date: Sat Sep 18 19:26:07 2010
DkmsStatus: fglrx, 8.723.1, 2.6.32-21-generic, x86_64: installed
ErrorMessage: fglrx kernel module failed to build
InstallationMedia: Ubuntu 10.04 LTS "Lucid Lynx" - Release amd64 (20100429)
MachineType: Dell Inc. Dell XPS420
PackageVersion: 2:8.723.1-0ubuntu4
ProcCmdLine: BOOT_IMAGE=/vmlinuz-2.6.32-21-generic root=UUID=f9682412-e390-4330-a495-5e543e4c7b61 ro quiet splash
SourcePackage: fglrx-installer
Title: package fglrx 2:8.723.1-0ubuntu4 failed to install/upgrade: fglrx kernel module failed to build
dmi.bios.date: 06/23/2008
dmi.bios.vendor: Dell Inc.
dmi.bios.version: A06
dmi.board.name: 0TP406
dmi.board.vendor: Dell Inc.
dmi.chassis.type: 7
dmi.chassis.vendor: Dell Inc.
dmi.modalias: dmi:bvnDellInc.:bvrA06:bd06/23/2008:svnDellInc.:pnDellXPS420:pvr:rvnDellInc.:rn0TP406:rvr:cvnDellInc.:ct7:cvr:
dmi.product.name: Dell XPS420
dmi.sys.vendor: Dell Inc.
system:
 distro: Ubuntu
 codename: lucid
 architecture: x86_64
 kernel: 2.6.32-21-generic

Kjetil Eide (tnejku) wrote :
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers